# Legacy Chat Fix

This is a simple plugin that aims to fix some of the issues with the legacy chat system in Minecraft. It is designed to be as lightweight as possible, and only fix the issues that are present in the legacy chat system. 

Specifically, this plugin fixes the issue that EssentialsX Signs (sell signs in particular) would not be formatted correctly, leaving behind legacy formatting tags in the readable chat.
This plugin listens to system chat, looks for legacy chat formatting codes, and replaces them with the appropriate modern formatting codes, while cleaning up the chat message.

## TODO:
 - [x] Add config file to allow specifying other formatting codes to replace.
 - [ ] Add support for applying the fix to chat messages sent by players and more. 
 - [ ] Add support for regex matching and replacing.
 - [ ] Add commands (lcf for short of legacychatfix):
   - [ ] /lcf reload - Reload the config file. 
   - [ ] /lcf list - List the current formatting codes that are being replaced.
   - [ ] /lcf <id> - Display the formatting code that is being replaced.
   - [ ] /lcf <id> <legacy_code> <modern_code> - Add or edit a new formatting code to replace.
   - [ ] /lcf remove <id> - Remove a formatting code from the list of codes to replace.
   - [ ] /lcf help - Display help message.
   - [ ] /lcf version - Display the version of the plugin.